package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.AreaInfo;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.AreaInfoMapper")
public interface AreaInfoMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(AreaInfo record);

    AreaInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AreaInfo record);

    List<AreaInfo> queryAllAreaInfo(AreaInfo record);

    List<AreaInfo> queryAllAreaInfoAllInfo(AreaInfo record);

    List<AreaInfo> queryAreaInfoByPage(Map<String, Object> parameter);

    int delete(AreaInfo record);

    AreaInfo queryAreaInfo(AreaInfo record);

    List<AreaInfo> query(AreaInfo record);
}

